# Generated by go2rpm
%bcond_without check

# https://github.com/spf13/cast
%global goipath         github.com/spf13/cast
Version:                1.4.1

%gometa

%global common_description %{expand:
Cast is a library to convert between different go types in a consistent and easy
way.

Cast provides simple functions to easily convert a number to a string, an
interface into a bool, etc. Cast does this intelligently when an obvious
conversion is possible. It doesn’t make any attempts to guess what you meant,
for example you can only convert a string to an int when it is a string
representation of an int such as “8”. Cast was developed for use in Hugo, a
website engine which uses YAML, TOML or JSON for meta data.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:        %mkrel 2
Summary:        Safe and easy casting from one type to another in Go
Group:          Development/Other
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

%if %{with check}
# Tests
BuildRequires:  golang(github.com/stretchr/testify/assert)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 1.4.1-2.mga9
+ Revision: 1821607
- Mageia 9 Mass Rebuild

* Sat Feb 05 2022 guillomovitch <guillomovitch> 1.4.1-1.mga9
+ Revision: 1771695
- new version 1.4.1

* Sat Nov 06 2021 guillomovitch <guillomovitch> 1.3.1-2.mga9
+ Revision: 1754204
- rebuild for mageia 9

* Sun Aug 30 2020 guillomovitch <guillomovitch> 1.3.1-1.mga8
+ Revision: 1619784
- new version 1.3.1

* Sat Jun 27 2020 joequant <joequant> 1.3.0-2.mga8
+ Revision: 1599524
- remove check
- turn off test
- fix up spec file
- build deps
- rebuild deps

* Tue Nov 27 2018 pterjan <pterjan> 1.3.0-1.mga7
+ Revision: 1335981
- Update to 1.3.0

* Mon Nov 26 2018 pterjan <pterjan> 0-0.1.mga7
+ Revision: 1335541
- imported package golang-github-spf13-cast


* Tue Feb 27 2018 Jan Chaloupka <jchaloup@redhat.com> - 0-0.12.20160730gite31f36f
- Autogenerate some parts using the new macros

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.11.gite31f36f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.10.gite31f36f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.9.gite31f36f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Mar 06 2017 Jan Chaloupka <jchaloup@redhat.com> - 0-0.8.gite31f36f
- Use the standard weather import path prefix
  related: #1413617

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.7.gite31f36f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jan 16 2017 Jan Chaloupka <jchaloup@redhat.com> - 0-0.6.gite31f36f
- Bump to upstream e31f36ffc91a2ba9ddb72a4b6a607ff9b3d3cb63
  related: #1413617

* Mon Jan 16 2017 Jan Chaloupka <jchaloup@redhat.com> - 0-0.5.git4d07383
- Polish the spec file
  resolves: #1413617

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.4.git4d07383
- https://fedoraproject.org/wiki/Changes/golang1.7

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3.git4d07383
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2.git4d07383
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Oct 08 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.git4d07383
- First package for Fedora
  resolves: #1270063
